package mate.test;

import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.InitialContext;

import org.jboss.naming.remote.client.InitialContextFactory;

public class Client {
	public static void main(String[]args) throws Exception{
		Hashtable<String, Object> p = new Hashtable<String, Object>();
		p.put(Context.INITIAL_CONTEXT_FACTORY, InitialContextFactory.class.getName());
		p.put(Context.PROVIDER_URL, "remote://127.0.0.1:4447/");
		p.put(InitialContext.SECURITY_PRINCIPAL, "testX");
		p.put(InitialContext.SECURITY_CREDENTIALS, "test1234");
		p.put("jboss.naming.client.ejb.context", true);
		p.put("jboss.naming.client.connect.options.org.xnio.Options.SASL_POLICY_NOPLAINTEXT", "false");
		 
		InitialContext c = new InitialContext(p);
		//TestBeanRemote vLookup = (TestBeanRemote) c.lookup("java:/TestEar/TestEjb/TestBean!"+ TestBeanRemote.class.getName());
		TestBeanRemote vLookup = (TestBeanRemote) c.lookup("ejb:/TestEar/TestEjb/TestBean!"+ TestBeanRemote.class.getName());
		 
		System.out.println("x" + vLookup.getNameFree());
		System.out.println("x" + vLookup.getName());
		
	}
}
